/**
 * 格式化折扣到购物车
 * @param params 参数
 * @returns 格式化后的购物车
 */
export var formatDiscountToCartItem = function formatDiscountToCartItem(params) {
  var cartItem = params.cartItem;
  var oringin = formatDiscountToCartItemOrigin(params);
  cartItem._origin = oringin;
  return cartItem;
};

/**
 * 格式化折扣到购物车原始数据
 * @param params 参数
 * @returns 格式化后的购物车原始数据
 */
export var formatDiscountToCartItemOrigin = function formatDiscountToCartItemOrigin(params) {
  var cartItem = params.cartItem,
    discounts = params.discounts;
  var origin = cartItem._origin;
  if (discounts && discounts !== null && discounts !== void 0 && discounts.length) {
    if (!origin.product) {
      origin.product = {};
    }
    origin.product.discount_list = discounts;
  } else {
    // 如果折扣为空，则清空折扣列表
    if (!origin.product) {
      origin.product = {};
    }
    origin.product.discount_list = [];
  }
  return origin;
};